Index: /branches/2.4/language/fi_FI/install.lang.php
===================================================================
--- /branches/2.4/language/fi_FI/install.lang.php	(revision 16977)
+++ /branches/2.4/language/fi_FI/install.lang.php	(revision 16978)
@@ -56,3 +56,17 @@
 $lang['please enter your password again'] = 'Salasana uudelleen';
 $lang['webmaster login can\'t contain characters \' or "'] = 'Ylläpitäjän käyttäjätunnus ei voi sisältää \' tai " merkkejä';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Vaihtoehtoinen tapa on kopioida teksti ylläolevasta laatikosta ja liittää se tiedostoon "local/config/database.inc.php"(Varoitus: tiedoston database.inc.php tulee sisältää vain tekstiosuus, ei välejä eikä tyhjiä rivejä) ';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Konfigurointitiedoston local/config/database.inc.php luominen epäonnistui.';
+$lang['Download the config file'] = 'Lataa konfigurointitiedosto';
+$lang['Hope to see you back soon.'] = 'Toivottavasti näemme pian';
+$lang['Just another Piwigo gallery'] = 'Yksi Piwigo -galleria lisää';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Pidä salassa, se mahdollistaa pääsyn pääkäyttäjän paneeliin';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo voi yrittää vaihtaa konfiguraation PHP 5 :seen luomalla tai muuttamalla .htaccess -tiedostoa.';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ei pystynyt konfiguroimaan PHP5 :sta.';
+$lang['Sorry!'] = 'Anteeksi!';
+$lang['Welcome to your new installation of Piwigo!'] = 'Tervetuloa uuteen Piwigo -asennukseesi!';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Voit ladata konfiguraatiotiedoston ja siirtää sen asennuksesi local/config -hakemistoon. ';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Sinun tulee kääntyä hosting -palveluntarjoajasi puoleen ja kysyä kuinka voit vaihtaa PHP 5:seen itse.';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'se tulee tietokannan taulun nimen etuliitteeksi (mahdollistaa taulujen helpomman hallinnan)';
+$lang['verification'] = 'vahvistus';
 ?>
Index: /branches/2.4/language/fi_FI/upgrade.lang.php
===================================================================
--- /branches/2.4/language/fi_FI/upgrade.lang.php	(revision 16978)
+++ /branches/2.4/language/fi_FI/upgrade.lang.php	(revision 16978)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['All sub-albums of private albums become private'] = 'Kaikki yksityisten albumeiden ala-albumit ovat nyt yksityisiä';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Seuraavat pluginit ovat varotoimenpiteenä otettu pois käytöstä. Sinun tulee tarkistaa teeman päivitykset ennen kuin aktivoit ne uudelleen:';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Seuraavat teemat ovat varotoimenpiteenä otettu pois käytöstä. Sinun tulee tarkistaa teeman päivitykset ennen kuin aktivoit ne uudelleen:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In <i>%s</i>, before <b>?></b>, insert:';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Vain admin voi ajaa päivityksen: ole hyvä ja kirjaudu alla.';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Vain thumbnailien etuliite ja webmasterin sähköpostiosoite on tallennettu edellisestä konfiguraatiosta';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Aja huoltotarkistus [Administration>Tools>Maintenance] jos kohtaat ongelmia.';
+$lang['SQL queries'] = 'SQL-pyynnöt';
+$lang['Statistics'] = 'Statistiikka';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Tämä sivu ehdottaa Piwigo-tietokantasi päivitystä vanhasta versiosta uuteen. Päivitystyökalun mukaan ajat <strong>versiota %s</strong> (tai vastaavaa)';
+$lang['Upgrade from version %s to %s'] = 'Päivitys versiosta %s versioon %s';
+$lang['Upgrade informations'] = 'Päivitystiedot';
+$lang['Upgrade'] = 'Päivitys';
+$lang['User permissions and group permissions have been erased'] = 'Käyttäjien ja ryhmien oikeudet on tyhjennetty';
+$lang['You do not have access rights to run upgrade'] = 'Sinulla ei ole oikeutta ajaa päivitystä';
+$lang['total SQL time'] = 'Totaali SQL-aika';
+$lang['total upgrade time'] = 'Totaali päivitysaika';
+?>
Index: /branches/2.4/language/fr_CA/admin.lang.php
===================================================================
--- /branches/2.4/language/fr_CA/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/fr_CA/admin.lang.php	(revision 16978)
@@ -931,5 +931,9 @@
 $lang['Edit photo'] = 'Éditer la photo';
 $lang['create a new site'] = 'créer un nouveau site';
-$lang['No order field selected'] = 'Aucun critère de tri sélectionné'; 
+$lang['No order field selected'] = 'Aucun critère de tri sélectionné';
+$lang['Duplicate selected tags'] = 'Dupliquer les mots clés sélectionnés';
+$lang['Name of the duplicate'] = 'Nom du duplicata';
+$lang['Source tag'] = 'Source du mot clé';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Le mot clé "%s" est désormais une copie de "%s"';
 
 ?>
Index: /branches/2.4/language/fr_FR/admin.lang.php
===================================================================
--- /branches/2.4/language/fr_FR/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/fr_FR/admin.lang.php	(revision 16978)
@@ -924,3 +924,7 @@
 $lang['create a new site'] = 'créer un nouveau site';
 $lang['No order field selected'] = 'Aucun critère de tri sélectionné';
+$lang['Name of the duplicate'] = "Nom du duplicata";
+$lang['Source tag'] = 'Tag source';
+$lang['Tag "%s" is now a duplicate of "%s"'] = "Le tag \"%s\" est désormais une copie de \"%s\"";
+$lang['Duplicate selected tags'] = 'Dupliquer les tags sélectionnés';
 ?>
Index: /branches/2.4/language/he_IL/admin.lang.php
===================================================================
--- /branches/2.4/language/he_IL/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/he_IL/admin.lang.php	(revision 16978)
@@ -170,5 +170,4 @@
 $lang['You cannot move an album in its own sub album'] = 'אתה לא יכול להעביר קטגוריה לתוך התת קטגוריה שלה';
 $lang['You need to confirm deletion'] = 'אתה חייב לאשר את המחיקה';
-$lang['add tags'] = 'להוסיף תגיות';
 $lang['Associate to album'] = 'לשייך לקטגוריה';
 $lang['associate to group'] = 'לשייך לקבוצה';
@@ -219,6 +218,4 @@
 $lang['manage sub-albums'] = 'ניהול קטגוריות משנה';
 $lang['Manage'] = 'ניהול';
-$lang['maximum height'] = 'גובה מרבי';
-$lang['maximum width'] = 'רוחב מרבי';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'זמן ביצוע יוצא, הטיפול חייב להיות המשך [זמן משוער:% השני ד].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'זמן ביצוע חריגה, הטיפול חייב להמשיך [זמן משוער:% d שניות].';
@@ -300,10 +297,5 @@
 $lang['registration date'] = 'תאריך רישום';
 $lang['clean'] = 'לנקות';
-$lang['remove remote listing.xml file'] = 'להסיר את הקובץ listing.xml מרחוק';
-$lang['generate listing'] = 'לייצר רשימה';
-$lang['generate file listing.xml on remote site'] = 'לייצר listing.xml הקובץ באתר מרוחק';
 $lang['Create this site'] = 'צור את האתר הזה';
-$lang['A local listing.xml file has been found for'] = 'הקובץ listing.xml המקומית כבר מצאו עבור';
-$lang['read local listing.xml and update'] = 'לקרוא listing.xml עדכון המקומית';
 $lang['test'] = 'מבחן';
 $lang['test this remote site'] = 'מבחן זה באתר מרוחק'; 
@@ -314,10 +306,8 @@
 $lang['singly represented'] = 'נציג קבוע';
 $lang['This site already exists'] = 'אתר זה כבר קיים';
-$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'צור אתר חדש: (לתת את כתובת האתר שלו כדי create_listing_file.php)';
 $lang['created'] = 'יצר';
 $lang['delete'] = 'למחוק';
 $lang['delete this site and all its attached elements'] = 'למחוק את האתר הזה ואת כל המידע בנושא';
 $lang['an error happened'] = 'אירעה שגיאה';
-$lang['file create_listing_file.php on remote site was not found'] = 'Create_listing_file.php הקובץ לא נמצא באתר המרוחק';
 $lang['Local'] = 'מקומית';
 $lang['Remote'] = 'מרחוק';
@@ -335,20 +325,13 @@
 $lang['User list'] = 'רשימת משתמשים';
 $lang['Edit photo information'] = 'שינוי פרטים בתמונה';
-$lang['Thumbnail creation'] = 'יצירת תמונה';
 $lang['Database synchronization with files'] = 'מסד נתונים לסינכרון עם קבצים';
 $lang['all'] = 'כל';
-$lang['photos without thumbnail (jpeg and png only)'] = 'תמונות ללא תמונה (JPEG ו-PNG בלבד)';
 $lang['height must be a number superior to'] = 'גובה חייב להיות מספר גדול יותר';
 $lang['width must be a number superior to'] = 'רוחב חייב להיות מספר גדול יותר';
 $lang['for the file format'] = 'עבור פורמט קובץ';
-$lang['No missing thumbnail'] = 'אין תמונה חסר';
 $lang['Photo unreachable or no support'] = 'תמונה בפורמט נגיש או נתמך';
 $lang['GD version'] = 'גרסת ה ';
-$lang['generated in'] = 'נוצר ב';
-$lang['Results of miniaturization'] = 'תהליך המזעור תוצאות';
 $lang['General statistics'] = 'סטטיסטיקה';
-$lang['max time'] = 'זמן מקסימום';
 $lang['average time'] = 'הזמן הממוצע';
-$lang['min time'] = 'בפעם דקות';
 $lang['number of miniaturized photos'] = 'מספר תמונות ממוזערות נוצר';
 $lang['total time'] = 'זמן מסך';
@@ -363,8 +346,4 @@
 $lang['Choose an option'] = 'בחר באפשרות';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'מקסימום מידע לתצוגה (קטגוריות הוסיף אלמנטים, קטגוריות שנמחקו אלמנטים)';
-$lang['Piwigo version differs on the remote site'] = 'גרסה שונה Piwigo באתר המרוחק';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'גרסאות של create_listing_file.php באתר המרוחק Piwigo חייבים להיות זהים';
-$lang['listing.xml file was not found'] = 'הקובץ listing.xml לא נמצא';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'הקובץ listing.xml לא נמצא באתר מרוחק זה הקובץ שנוצר עם ". לייצר רשימה  "הפקודה מנהל האתר';
 $lang['Error list'] = 'רשימת שגיאות';
 $lang['Errors caption'] = 'שגיאות אגדות';
@@ -372,6 +351,4 @@
 $lang['File/directory read error'] = 'קובץ / ספרייה לקרוא שגיאה';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'הקובץ או הספרייה לא ניתן לגשת (או שזה לא קיים או הגישה נדחתה)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'סוג הקובץ התמונה דורש תמונה תמונה חייב להיות נוכח במדריך קטן ". תמונה  "של המדריך את הקטגוריה תמונה שם הקובץ חייב להתחיל עם הקידומת תמונה מוגדר ההרחבה חייב להיות בין הרשימה הבאה:.';
-$lang['missing thumbnail'] = 'חסר תמונה';
 $lang['albums deleted in the database'] = 'קטגוריות שנמחקו באתר';
 $lang['photos deleted from the database'] = 'אלמנטים שנמחקו באתר';
@@ -409,5 +386,4 @@
 $lang['Toggle \'default group\' property'] = "תייג 'קבוצת ברירת מחדל' ערך";
 $lang['Advanced features'] = 'תכונות מתקדמות';
-$lang['Specials'] = 'מבצעים';
 $lang['Overall'] = 'מבט';
 $lang['Year'] = 'שנה';
@@ -419,7 +395,4 @@
 $lang['Element'] = 'מרכיב';
 $lang['Section'] = 'סעיף';
-$lang['Save page visits by guests'] = 'שמור דפים שניצפו על ידי אורחים';
-$lang['Save page visits by users'] = 'שמור דפים שנצפו על ידי משתמשים';
-$lang['Save page visits by administrators'] = 'שמור דפים שנצפו על ידי מנהל ראשי';
 $lang['An information email was sent to group "%s"'] = 'דואר אלקטרוני נשלח לקבוצה "%s"';
 $lang['Send an information email to group members'] = 'שלח הודעת דואר אלקטרוני מידע על חברי הקבוצה';
@@ -443,5 +416,4 @@
 $lang['guest'] = 'האורח';
 $lang['default values'] = 'ערכי ברירת המחדל';
-$lang['High filesize'] = 'High גודל הקובץ ברזולוציה';
 $lang['Guest cannot be deleted'] = 'חוות דעת לא ניתן למחוק';
 $lang['Default user cannot be deleted'] = 'המשתמש ברירת מחדל ולא ניתן למחוק';
@@ -501,9 +473,7 @@
 $lang['Other plugins'] = 'תוספים נוספים זמינים';
 $lang['Last revisions'] = 'התיקונים האחרונים';
-$lang['Delete'] = 'מחק';
 $lang['Are you sure you want to delete this plugin?'] = 'האם אתה בטוח שאתה רוצה למחוק את התוסף הזה?';
 $lang['Are you sure you want to install this plugin?'] = 'האם אתה בטוח שאתה רוצה להתקין את התוסף הזה?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'האם אתה בטוח שאתה רוצה להתקין את השדרוג, עליך לוודא אם הגרסה הזאת לא צריך ההסרה לפני?.';
-$lang['%s has been successfully upgraded.'] = '"%s" "שודרג בהצלחה.';
 $lang['Plugin has been successfully copied'] = 'תוסף הועתקה בהצלחה';
 $lang['You might go to plugin list to install and activate it.'] = 'עבור אל רשימת התוספים להתקין ולהפעיל אותו.';
@@ -568,5 +538,4 @@
 $lang['Password is missing. Please enter the password.'] = 'סיסמה חסרה, נה להזין סיסמה..';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'אישור סיסמה חסר, נה להזיר אישור סיסמה..';
-$lang['Password confirmation error.'] = 'שגיאה באישור הסיסמה.';
 $lang['Allow users to edit their own comments'] = 'אפשר למשתמשים לערוך הערות משלהם';
 $lang['Allow users to delete their own comments'] = 'אפשר למשתמשים למחוק את התגובות שלהם';
@@ -643,5 +612,4 @@
 $lang['Activate Navigation Thumbnails'] = 'הפעל ממוזערות ניווט';
 $lang['Activate icon "%s"'] = 'להפעיל את סמל"%s "';
-$lang['Activate field "%s"'] = 'להפעיל את השדה"%s"';
 $lang['Photo Properties'] = 'מאפייני תמונה';
 $lang['Allow user customization'] = 'לאפשר התאמה אישית למשתמש';
@@ -712,7 +680,4 @@
 $lang['All %d photos are selected'] = 'כל %d התמונות נבחרו';
 $lang['remove this filter'] = 'הסר מסנן זה';
-$lang['predefined filter'] = 'סנן מראש';
-$lang['last import'] = 'הגיעה לאחרונה';
-$lang['with no virtual album'] = 'ללא אלבום וירטואלי';
 $lang['Duplicates'] = 'כפילויות';
 $lang['Add a filter'] = 'הוסף מסנן';
@@ -729,6 +694,4 @@
 $lang['Type here the title'] = 'כתוב כאן את הכותרת';
 $lang['remove creation date'] = 'הסר את תאריך היצירה';
-$lang['with no album'] = 'ללא אלבום';
-$lang['with no tag'] = 'ללא תיוג';
 $lang['Album photos associated to the following albums: %s'] = 'אלבום תמונות משוייך לאלבום הבא: %s';
 $lang['Delete orphan tags'] = 'מחק תגים יתומים';
@@ -767,5 +730,4 @@
 $lang['Height'] = 'גובה';
 $lang['Follow Orientation'] = 'עקוב אחר ההדרכה';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'אם ברצונך לחדש את התמונות הממוזערות נווט בבקשה ל <a href="%s">מנהל אצווה</a>.';
 $lang['Graphics Library'] = 'ספריית גרפיקה';
 $lang['Activate icon "new" next to albums and pictures'] = 'הפעל כפתו "חדש" ליד אלבומים';
@@ -775,10 +737,6 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'שחזר להגדרות ברירת מחדל. הגדרות ההתקן יאבדו!';
 $lang['Show menubar'] = 'הצג תפריט';
-$lang['Regenerate Thumbnails'] = 'חידוש תמונות ממוזערות';
-$lang['Regenerate Websize Photos'] = 'חידוש גודל תמונות באתר';
 $lang['Thumbnails generation in progress...'] = 'חידוש תמונות ממוזערות בתהליך...';
 $lang['Photos generation in progress...'] = 'חידוש תמונות בתהליך...';
-$lang['%s thumbnails have been regenerated'] = '%s תמונות ממוזערות חודשו';
-$lang['%s thumbnails can not be regenerated'] = '%s תמונות ממוזערות לא יכלו להתחדש';
 $lang['%s photos have been regenerated'] = '%s תמונות חודשו';
 $lang['%s photos can not be regenerated'] = '%s תמונות לא יכלו להתחדש';
@@ -830,3 +788,34 @@
 $lang['Add to caddie'] = 'הוסף לסל';
 $lang['Permalink'] = 'קישורית';
+$lang[' and %d virtuals'] = 'ו %d וירטואלים';
+$lang['%d day'] = '%d יום';
+$lang['%d days'] = '%d ימיםחודשים';
+$lang['%d hour'] = '%d שעה';
+$lang['%d hours'] = '%d שעות';
+$lang['%d minute'] = '%d דקה';
+$lang['%d minutes'] = '%d דקות';
+$lang['%d month'] = '%d חודש';
+$lang['%d months'] = '%d חודשים';
+$lang['%d second'] = '%d שניה';
+$lang['%d seconds'] = '%d שניות';
+$lang['%d week'] = '%d שבוע';
+$lang['%d weeks'] = '%d שבועות';
+$lang['%d year'] = '%d שנה';
+$lang['%d years'] = '%d שנים';
+$lang['%s has been successfully updated.'] = '%s הועלובהצלחה';
+$lang['%s in the future'] = '%s בעתיד';
+$lang['A locked gallery is only visible to administrators'] = 'גלריות נעולות זמינות רק למנהלים';
+$lang['Activate comments'] = 'הפעל תגובה';
+$lang['Add tags'] = 'הוסף תיוג';
+$lang['Added by %s'] = 'הוסף על ידי %s';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'ארעה שגיאה במהלך היצוא. בדוק את הרשאות קבצי התקנת piwigo.<br><a href="%s">לחץ כאן לראות את יומן השגיאות</a>.';
+$lang['An error has occured during upgrade.'] = 'ארעה שגיאה במהלך העלאה';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture הוא כלי רב עוצמה לחדד תמונות ולנהל סיפריות ענק ב-mac';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture עוצב עבור גרפיקאים מקצועיים עם הפשטות של iphoto';
+$lang['Applications'] = 'אפליקציות';
+$lang['Apply watermark if height is bigger than'] = 'החל חותמת מים(watermark) אם הגובה גדול מ';
+$lang['Apply watermark if width is bigger than'] = 'החל חותמת מים(watermark) אם הרוחב גדול מ';
+$lang['Automatic sort order'] = 'סדר אוטומטי';
+$lang['Available on'] = 'זמין ב';
+$lang['Available versions for'] = 'גרסאות זמינות ל';
 ?>
Index: /branches/2.4/language/hu_HU/admin.lang.php
===================================================================
--- /branches/2.4/language/hu_HU/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/hu_HU/admin.lang.php	(revision 16978)
@@ -925,3 +925,7 @@
 $lang['create a new site'] = 'új honlap létrehozása';
 $lang['No order field selected'] = 'Nincs rendezési mező kiválasztva';
+$lang['Duplicate selected tags'] = 'Kiválasztott címkék kettőzése';
+$lang['Name of the duplicate'] = 'A kettőzött címke neve';
+$lang['Source tag'] = 'Forrás címke';
+$lang['Tag "%s" is now a duplicate of "%s"'] = '"%s" címke kettőzve "%s" néven';
 ?>
Index: /branches/2.4/language/hu_HU/common.lang.php
===================================================================
--- /branches/2.4/language/hu_HU/common.lang.php	(revision 16977)
+++ /branches/2.4/language/hu_HU/common.lang.php	(revision 16978)
@@ -382,5 +382,5 @@
 $lang['Send my connection settings by email'] = 'Kapcsolat beállításainak küldése e-mailben';
 $lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Sikeresen regisztrált, hamarosan kap egy e-mailt a kapcsolat adataival. Üdvözöljük!';
-$lang['Thank you for registering at %s!'] = 'Köszönjük, hogy regisztrált %s néven!';
+$lang['Thank you for registering at %s!'] = 'Köszöni Önnek a regisztrációt a(z) %s!';
 $lang['Username modification'] = 'Felhasználónév módosítása';
 $lang['Username: %s'] = 'Felhasználónév: %s';
Index: /branches/2.4/language/it_IT/admin.lang.php
===================================================================
--- /branches/2.4/language/it_IT/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/it_IT/admin.lang.php	(revision 16978)
@@ -852,5 +852,5 @@
 $lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Su Linux, semplicemente installa il pacchetto Shotwell e attiva l\'opzione di pubblicazione su Piwigo';
 $lang['Piwigo publish plugin for digiKam'] = 'Plugin Piwigo per digiKam';
-$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'Shotwell è un software avanzato per l\'organizzatore di immagini digitali sotto Linux, Windows e MacOSX';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam è un software avanzato per l\'organizzatore di immagini digitali sotto Linux, Windows e MacOSX';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam è realizzato per i fotografi che vogliono vedere, gestire, modificare, migliorare, organizzare, taggare e condividere le loro immagini';
 $lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Per esportare le immagini da digiKam a Piwigo, semplicemente installa digiKam e il plugin Kipi';
@@ -924,3 +924,7 @@
 $lang['create a new site'] = 'Creare un nuovo sito';
 $lang['No order field selected'] = 'Nessun critereo di ordinamento selezionato';
+$lang['Name of the duplicate'] = 'Nome del duplicato';
+$lang['Source tag'] = 'Tag fonte';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Il tag "% s" è ormai una copia di "% s"';
+$lang['Duplicate selected tags'] = 'Duplicare i Tag selezionati';
 ?>
Index: /branches/2.4/language/ja_JP/admin.lang.php
===================================================================
--- /branches/2.4/language/ja_JP/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/ja_JP/admin.lang.php	(revision 16978)
@@ -869,3 +869,4 @@
 $lang['Obsolete Plugins'] = 'サポートされないプラグイン';
 $lang['Opacity'] = '不透明度';
+$lang['No results'] = '結果なし';
 ?>
Index: /branches/2.4/language/km_KH/common.lang.php
===================================================================
--- /branches/2.4/language/km_KH/common.lang.php	(revision 16977)
+++ /branches/2.4/language/km_KH/common.lang.php	(revision 16978)
@@ -404,6 +404,12 @@
 $lang['Numeric identifier, 9 &rarr; 1'] = 'ចំនួន​សំរាប់​សំ​គាល់​, ៩ &rarr; ១';
 $lang['Manual sort order'] = 'តំ​រៀប​ដោយ​ខ្លួន​ឯង​';
-
-
+$lang['%d rate'] = '%d វា​យ​តម្លៃ​';
+$lang['Bad request'] = 'ការ​ស្នើរ​សុំ​មិន​ដំណើរ​ការ';
+$lang['Forbidden'] = 'ត្រូវ​បាន​ហាម​ឃាត់';
+$lang['Page not found'] = 'ស្វែង​រក​ទំព័រ​មិន​ឃើញ';
+$lang['Permalink for album not found'] = 'ស្វែង​រក​ Permalink មិនឃើញ';
+$lang['Piwigo encountered a non recoverable error'] = 'Piwigo បាន​ជួប​បញ្ហា​នៃ​កំហុស​ដែល​មិន​អាច​ដំណើរ​ការ​ឡើង​វិញ​';
+$lang['Requested album does not exist'] = 'ការ​ស្នើ​សុំ​សៀវភៅ​រូប​ថត​មិន​កើត​មាន​';
+$lang['Requested tag does not exist'] = 'ការ​ស្នើ​សុំ​ស្លាក​មិន​កើត​មាន​';
 
 ?>
Index: /branches/2.4/language/lv_LV/admin.lang.php
===================================================================
--- /branches/2.4/language/lv_LV/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/lv_LV/admin.lang.php	(revision 16978)
@@ -28,6 +28,6 @@
 $lang['%d physical'] = ' %d reāla';
 $lang['%d physicals'] = ' %d reālas';
-$lang[' and %d virtual'] = ' un %d virtuāla';
-$lang[' and %d virtuals'] = ' un %d virtuālas';
+$lang[' and %d virtual'] = ' un %d virtuāls';
+$lang[' and %d virtuals'] = ' un %d virtuāli';
 $lang['%d album moved'] = '%d albūms pārvietots';
 $lang['%d albums moved'] = '%d albūmi pārvietoti';
@@ -50,5 +50,5 @@
 $lang['Activate'] = 'Aktivēt';
 $lang['Add/delete a permalink'] = 'Pievienot/dzēst pamatsaiti';
-$lang['Add a tag'] = 'Pievienot iezīmi';
+$lang['Add a tag'] = 'Pievienot iezīmi (birku)';
 $lang['Add a user'] = 'Pievienot lietotāju';
 $lang['Add group'] = 'Pievienot grupu';
@@ -793,5 +793,5 @@
 $lang['Zoom'] = 'Tālummaiņa';
 $lang['%s has been successfully updated.'] = '%s ir sekmīgi atjaunināts.';
-$lang['Add tags'] = 'Pievienot tagus';
+$lang['Add tags'] = 'Pievienot tagus (birkas)';
 $lang['Add to caddie'] = 'Pievienot grozam';
 $lang['Last import'] = 'Pēdējais imports';
@@ -919,3 +919,7 @@
 $lang['create a new site'] = 'izveidot jaunu web lapu';
 $lang['No order field selected'] = 'Nv izvēlēts kārtošanas lauks';
+$lang['Duplicate selected tags'] = 'Dublēt atlasītās cilnes';
+$lang['Name of the duplicate'] = 'Dublikāta nosaukums';
+$lang['Source tag'] = 'Avota cilne';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Cilne "%s" tagad ir "%s" dublikāts';
 ?>
Index: /branches/2.4/language/nb_NO/admin.lang.php
===================================================================
--- /branches/2.4/language/nb_NO/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/nb_NO/admin.lang.php	(revision 16978)
@@ -920,3 +920,7 @@
 $lang['create a new site'] = 'lag en ny side';
 $lang['No order field selected'] = 'Ingen rekkefølgefelt er valgt';
+$lang['Duplicate selected tags'] = 'Flere tagger valgt';
+$lang['Name of the duplicate'] = 'Navn på duplikater';
+$lang['Source tag'] = 'Kildetagg';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Tagg "%s" er nå en duplikat av "%s"';
 ?>
Index: /branches/2.4/language/nl_NL/admin.lang.php
===================================================================
--- /branches/2.4/language/nl_NL/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/nl_NL/admin.lang.php	(revision 16978)
@@ -924,3 +924,7 @@
 $lang['create a new site'] = 'Maak een nieuwe site';
 $lang['No order field selected'] = 'Geen volgordeveld geselecteerd';
+$lang['Duplicate selected tags'] = 'Dupliceer de geselecteerde tags';
+$lang['Name of the duplicate'] = 'Naam van het duplicaat';
+$lang['Source tag'] = 'brontag';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Tag "%s" is nu een duplicaat van "%s"';
 ?>
Index: /branches/2.4/language/pl_PL/admin.lang.php
===================================================================
--- /branches/2.4/language/pl_PL/admin.lang.php	(revision 16977)
+++ /branches/2.4/language/pl_PL/admin.lang.php	(revision 16978)
@@ -922,3 +922,7 @@
 $lang['create a new site'] = 'stwórz nową stronę';
 $lang['No order field selected'] = 'Nie wybrano sortowania';
+$lang['Duplicate selected tags'] = 'Zduplikuj wybrane tagi';
+$lang['Name of the duplicate'] = 'Nazwa duplikatu';
+$lang['Source tag'] = 'Tag źródłowy';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Tag "%s" jest teraz duplikatem "%s"';
 ?>
